Package org.jcsp.util.filter

# Interface FilteredChannelInput

All Superinterfaces:
  `ChannelInput`, `Poisonable`, `ReadFiltered`

All Known Subinterfaces:
  `FilteredSharedChannelInput`, `MigratableChannelInput`

All Known Implementing Classes:
  `FilteredAltingChannelInput`, `FilteredSharedChannelInputWrapper`, `MigratableAltingChannelInput`

public interface FilteredChannelInput extends ChannelInput, ReadFiltered
Interface for a channel input end that supports filtering operations.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

### Methods inherited from interface org.jcsp.util.filter.ReadFiltered

`addReadFilter, addReadFilter, getReadFilter, getReadFilterCount, removeReadFilter, removeReadFilter`